Subject: bug#61281: “`(a \, b)” equals to “`(a . , b)”

From: Drew Adams <[email-masked]>
Date: Tue, 7 Feb 2023 18:00:48 +0000

> > The behavior depends on what X is allowed to be.
> > Is it something that parses (is read) as a
> > separate sexp?  Is it any sequence of chars?
> > Any sequence of symbol chars?
> 
> It is obvious that the Lisp implementation of 
> the "`" macro receives symbolic expressions.

This is about the Lisp reader.  When you write
",X" in that explanatory comment it's ambiguous
whether "X" is an arbitrary sequence of chars
or some Lisp sexp (read separately after reading
the ",").  ",abcd" is handled differently than
", abcd", as we've gone over several times now.

The bug (not "bug") is the handling of bare
"\,".  There's no such bug for "\,abcd" or even
"\,@" or "\,@<X>", for arbitrary <X> (arbitrary
text or a sexp).

> > I guess at this point we understand each
> > other and can just agree to disagree.
> 
> I think we actually agree on all things more
> or less but talked past each other.

Maybe.  I think rather that we understand each
other and probably agree about the facts.  But
I think we may have different interpretations
of the facts.